Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::RTConfiguration::ThreadPoolLanes_Configuration Struct Reference

`import "RTConfiguration.idl";`

List of all members.

## Public Attributes
string | name
unsigned long | stacksize
RTCORBA::ThreadpoolLanes | lanes
boolean | allow_borrowing
boolean | allow_request_buffering
unsigned long | max_buffered_requests
unsigned long | max_request_buffer_size

## Member Data Documentation

boolean CIAO::RTConfiguration::ThreadPoolLanes_Configuration::allow_borrowing

boolean CIAO::RTConfiguration::ThreadPoolLanes_Configuration::allow_request_buffering

RTCORBA::ThreadpoolLanes CIAO::RTConfiguration::ThreadPoolLanes_Configuration::lanes

unsigned long CIAO::RTConfiguration::ThreadPoolLanes_Configuration::max_buffered_requests

unsigned long CIAO::RTConfiguration::ThreadPoolLanes_Configuration::max_request_buffer_size

string CIAO::RTConfiguration::ThreadPoolLanes_Configuration::name

unsigned long CIAO::RTConfiguration::ThreadPoolLanes_Configuration::stacksize

The documentation for this struct was generated from the following file:

- RTConfiguration.idl